Subject: Re: ls -p very slow
From: [email-masked] (rale)

5 Nov 1997 18:43:10 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Alex <[email-masked]>
Cc: [email-masked], Derek Young <[email-masked]>, [email-masked]

Alex wrote:
> 
> Shortcuts are those bloody .lnk files, but not just available to the GUI
> proggies, but to all Win32 programs, afaik they don't have INI style
> syntax.  They do however have various API functions that would probably
> provide a [small] speedup.  I'm thinking that the stat functions (or
> whatever ls is using) would only check .lnk files for shortcuts, and if it
> _is_ a shortcut, then the .lnk is truncated within gnu-win32, and if it's
> not a shortcut then, it's treated as a regular file (with the .lnk
> extension).
> 
> - alex
> 
I thought those kinds of links were only usable for files tho?  At least
from windows explorer you cant create links to directories...  Or maybe
im wrong?

Paul
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".